
QGIS Application - Bug report #14233

Spatialite view, identify results, view feature form shows wrong result

2016-02-04 06:36 AM - Gerhard Spieles

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22230

Description

open a feature form shows always the first row in a spatialite view

jpg is attached

Related issues:

Related to QGIS Application - Bug report # 13482: only first element selectab... Closed 2015-10-01

History

#1 - 2016-02-05 05:06 AM - Giovanni Manghi

- OS version deleted (7)

- Category set to Vectors

- Priority changed from High to Severe/Regression

- Operating System deleted (windows)

Confirmed also as a regression (is ok at least on 2.8.6).

#2 - 2016-02-24 06:59 AM - Martin Dobias

- Resolution set to fixed/implemented

- Status changed from Open to Closed

The same issue as #14232, fixed in commit:f028c0bb5898af12b81953210dabf2a26713095d

#3 - 2016-02-25 12:52 AM - Gerhard Spieles

- File view_spatialite_qgis2.12_objects_visibilty_ok.jpg added

- File view_spatialite_qgis2.13a934b01_objects_visibilty_no.jpg added

- Status changed from Closed to Reopened

Tested it with QGIS 2.13 a934b01. As result, no objects are visible in the loeded view since the latest master.

jpgs are attached.

#4 - 2016-03-06 06:02 AM - Martin Dobias

- Status changed from Reopened to Closed
Fixed in commit:42d88848f3010365d2c9fcf84b3a8ed5d52749a1

#5 - 2016-10-02 01:41 PM - Pieter Brusselman

- File spatialite_view.png added

Martin Dobias wrote:

Fixed in commit:42d88848f3010365d2c9fcf84b3a8ed5d52749a1

It seems that in QGIS 2.16.2 this problem still exists. When selecting a feature it shows the correct values.  But when you open the feature form, it always

gives the values of the feature with the first ID.

Files

spatialite_view_featur_form_wrong_result.jpg 288 KB 2016-02-04 Gerhard Spieles

view_spatialite_qgis2.12_objects_visibilty_ok.jpg 197 KB 2016-02-24 Gerhard Spieles

view_spatialite_qgis2.13a934b01_objects_visibilty_no.jpg 227 KB 2016-02-24 Gerhard Spieles
